package sgc.portal.ll.ll0101.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ll.ll0101.dto.LL01010001USearch;
import sgc.portal.ll.ll0101.model.LL01010001U;

@Mapper
public interface LL01010001UMapper {

	/**
	 * Lessons Learned 조회
	 * @param search
	 * @return
	 */
	List<EasyHashMap<String, Object>> selectLlInfoList(LL01010001USearch search);

	List<EasyHashMap<String, Object>> getAuthData(LL01010001USearch search);
	
    //Lessons Learned 추가 삭제 수정
    int insertLlInfo(LL01010001U lL01010001U);
    int updateLlInfo(LL01010001U lL01010001U);
    int deleteLlInfo(LL01010001U lL01010001U);

	int selectSeq(LL01010001U lL01010001U);

}
